package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设施/系统属性对象 adm_ems_facs_attr
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsFacsAttr extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    public EmsFacsAttr(){
        super();
    }

    public EmsFacsAttr(String facsCode){
        super();
        this.facsCode = facsCode;
    }

    /** 序号 */
    private Long id;

    /** 设施代码 */
    @Excel(name = "设施代码")
    private String facsCode;

    /** 属性名称 */
    @Excel(name = "属性名称")
    private String attrName;

    /** 属性描述 */
    @Excel(name = "属性描述")
    private String attrDesc;

    /** 属性值 */
    @Excel(name = "属性值")
    private String attrValue;

    /** 属性单位 */
    @Excel(name = "属性单位")
    private String attrUnit;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFacsCode(String facsCode) 
    {
        this.facsCode = facsCode;
    }

    public String getFacsCode() 
    {
        return facsCode;
    }
    public void setAttrName(String attrName) 
    {
        this.attrName = attrName;
    }

    public String getAttrName() 
    {
        return attrName;
    }
    public void setAttrDesc(String attrDesc) 
    {
        this.attrDesc = attrDesc;
    }

    public String getAttrDesc() 
    {
        return attrDesc;
    }
    public void setAttrValue(String attrValue) 
    {
        this.attrValue = attrValue;
    }

    public String getAttrValue() 
    {
        return attrValue;
    }
    public void setAttrUnit(String attrUnit) 
    {
        this.attrUnit = attrUnit;
    }

    public String getAttrUnit() 
    {
        return attrUnit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("facsCode", getFacsCode())
            .append("attrName", getAttrName())
            .append("attrDesc", getAttrDesc())
            .append("attrValue", getAttrValue())
            .append("attrUnit", getAttrUnit())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
